## ros-rolling-gz-ros2-control-demos 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(gz_ros2_control_demos)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

install(DIRECTORY
  launch
  config
  urdf
  DESTINATION share/${PROJECT_NAME}/
)

add_executable(example_position examples/example_position.cpp)
ament_target_dependencies(example_position
  rclcpp
  rclcpp_action
  control_msgs
)

add_executable(example_velocity examples/example_velocity.cpp)
ament_target_dependencies(example_velocity
  rclcpp
  std_msgs
)

add_executable(example_effort examples/example_effort.cpp)
ament_target_dependencies(example_effort
  rclcpp
  std_msgs
)

add_executable(example_diff_drive examples/example_diff_drive.cpp)
ament_target_dependencies(example_diff_drive
  rclcpp
  geometry_msgs
)

add_executable(example_tricycle_drive examples/example_tricycle_drive.cpp)
ament_target_dependencies(example_tricycle_drive
  rclcpp
  geometry_msgs
)

add_executable(example_gripper examples/example_gripper.cpp)
ament_target_dependencies(example_gripper
  rclcpp
  std_msgs
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

## Install
install(
  TARGETS
    example_position
    example_velocity
    example_effort
    example_diff_drive
    example_tricycle_drive
    example_gripper
  DESTINATION
    lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-rolling-gz-ros2-control-demos (1.1.1-1jammy) jammy; urgency=high

  * typo fix (#143 <https://github.com/ros-controls/gz_ros2_control//issues/143>)
  * Contributors: Reza Kermani

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 12 Jul 2023 22:00:00 -0000

ros-rolling-gz-ros2-control-demos (1.1.0-1jammy) jammy; urgency=high

  * Clean shutdown example position (#135 <https://github.com/ros-controls/gz_ros2_control/issues/135>)
  * Fixed /clock with gz_ros2_bridge (#137 <https://github.com/ros-controls/gz_ros2_control/issues/137>)
  * Removed tricycle publish rate (#133 <https://github.com/ros-controls/gz_ros2_control/issues/133>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-rolling-gz-ros2-control-demos (1.0.0-1jammy) jammy; urgency=high

  * Renamed ign to gz (#67 <https://github.com/ros-controls/gz_ros2_control/issues/67>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 27 Mar 2023 22:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.6.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.6.0-1jammy) jammy; urgency=high

  * Merge pull request -- Galactic to master #103 <https://github.com/ros-controls/gz_ros2_control/issues/103> from ros-controls/ahcorde/galactic_to_main_25_11_2022
  * Fixed URIS (#93 <https://github.com/ros-controls/gz_ros2_control/issues/93>)
  * Fix Docker entrypoint and add launch CLI to dependencites (#84 <https://github.com/ros-controls/gz_ros2_control/issues/84>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Denis Štogl, Krzysztof Wojciechowski, Tony Najjar

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 05 Jan 2023 23:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.5.0-1jammy) jammy; urgency=high

  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)
  * Adjust URLs (#65 <https://github.com/ros-controls/gz_ros2_control/issues/65>)
  * Use Ubuntu Jammy in CI (#47 <https://github.com/ros-controls/gz_ros2_control/issues/47>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Bence Magyar, Denis Štogl, Maciej Bednarczyk, ahcorde

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.4.1-1jammy) jammy; urgency=high

  * ign_ros2_control_demos: Install urdf dir (#61 <https://github.com/ignitionrobotics/ign_ros2_control/issues/61>)
  * Remove URDF dependency (#56 <https://github.com/ignitionrobotics/ign_ros2_control/issues/56>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 05 Jun 2022 22:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 17 Mar 2022 23:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 15 Mar 2022 23:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.2.0-1jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/ignitionrobotics/ign_ros2_control/issues/36> from ignitionrobotics/ahcorde/foxy_to_galactic
    Foxy -> Galactic
  * Fixed galactic dependency
  * Merge remote-tracking branch 'origin/foxy' into ahcorde/foxy_to_galactic
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 16 Feb 2022 23:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.1.2-1jammy) jammy; urgency=high

  * Updated docs and renamed diff drive launch file (#32 <https://github.com/ignitionrobotics/ign_ros2_control/issues/32>)
    Co-authored-by: Denis Štogl <mailto:denis@stogl.de>
  * Added Diff drive example (#28 <https://github.com/ignitionrobotics/ign_ros2_control/issues/28>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 13 Feb 2022 23:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.1.1-1jammy) jammy; urgency=high

  * Change package names from ignition_ to ign_ (#19 <https://github.com/ignitionrobotics/ign_ros2_control/issues/19>)
    * Change package names from ignition_ to ign_
  * Added missing dependencies to package.xml (#18 <https://github.com/ignitionrobotics/ign_ros2_control/pull/21>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 06 Jan 2022 23:00:00 -0000

ros-rolling-gz-ros2-control-demos (0.1.0-1jammy) jammy; urgency=high

  * Ignition ros2 control (#1 <https://github.com/ignitionrobotics/ign_ros2_control/issues/1>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Vatan Aksoy Tezer

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 04 Jan 2022 23:00:00 -0000

=== debian/control ===
Source: ros-rolling-gz-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-control-msgs, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: https://github.com/ros-controls/gz_ros2_control/blob/master/README.md
Standards-Version: 3.9.2

Package: ros-rolling-gz-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-python, ros-rolling-control-msgs, ros-rolling-diff-drive-controller, ros-rolling-effort-controllers, ros-rolling-geometry-msgs, ros-rolling-gz-ros2-control, ros-rolling-hardware-interface, ros-rolling-imu-sensor-broadcaster, ros-rolling-joint-state-broadcaster, ros-rolling-joint-trajectory-controller, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-rclcpp, ros-rolling-robot-state-publisher, ros-rolling-ros-gz-sim, ros-rolling-ros2controlcli, ros-rolling-ros2launch, ros-rolling-std-msgs, ros-rolling-tricycle-controller, ros-rolling-velocity-controllers, ros-rolling-xacro, ros-rolling-ros-workspace
Description: gz_ros2_control_demos

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gz-ros2-control-demos//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
